Ticket #3922 (closed defect: fixed)

Opened 8 years ago

Last modified 7 years ago

googlemap小窓エラー

Reported by: pnetan Assigned to: kudo
Priority: major Milestone: OpenPNE2.14.2
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.15 Cc:

Description (Last modified by kudo)

■現象

googlemapの小窓で「 'G_MAP_TYPE' は宣言されていません。」というエラーが発生する。

■原因

新しいAPIではG_MAP_TYPEなどがG_NORMAL_MAPという値に変更されていたため。

■修正内容

h_googlemap.php内のG_MAP_TYPE、G_SATELLITE_TYPE、G_HYBRID_TYPEを変更。

■関連情報

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=20524より転記

OpenPNE v2.12.10

googlemap小窓で「 'G_MAP_TYPE' は宣言されていません。」エラーが出ています。

h_googlemap.tplの22行目と47行目の
gMap.setMapType(({$MapType}));
をコメントアウトすると正常に動作します。

既に報告済みの場合は失礼します。 
すみません。動作環境の報告が抜けていました。
WindowsXP SP3とIE8でした。

Change History

05/15/09 15:53:27 changed by imamura623

  • keywords deleted.

バグ再現テストしました。

■現象

googlemap小窓で「 'G_MAP_TYPE' は宣言されていません。」というエラーは出なかった。
しかし、URLを張り付けても世界地図が表示される。

■発生バージョン

2.12.11 2.13.8

■再現手順

google mapのURLを張り付ける
貼り付けたURLは下記
http://maps.google.co.jp/maps?q=%E6%AD%8C%E8%88%9E%E4%BC%8E%E7%94%BA+2-45-2&lr=lang_ja&oe=utf-8&client=firefox-a&ie=UTF8&hl=ja&z=16&iwloc=A
緯度や経度の情報がないためか?

■環境

  • windows XP SP3
  • Firefox

■関連情報

05/25/09 10:28:18 changed by pnetan

  • description changed.

07/24/09 14:03:42 changed by imamura623

  • milestone set to OpenPNE2.14.1.

再び再現テストしました。

■現象

googlemap小窓で「 'G_MAP_TYPE' は宣言されていません。」エラーがでる

■発生バージョン

  • Ver 2.12
  • Ver 2.14

■再現手順

IEでGoogleMap?小窓を作成する

■環境

IE系のブラウザで発生する

■関連情報

07/30/09 11:59:43 changed by kiwa

  • keywords set to OpenPNE2.12.15.
  • priority changed from minor to major.
  • milestone changed from OpenPNE2.14.1 to OpenPNE2.14.2.

こちらも早めに対応したいところですが、2.14.1では対応項目を絞りたいので9月リリースにまわします。

09/07/09 14:26:16 changed by kudo

  • owner changed from nobody to kudo.
  • status changed from new to assigned.

09/07/09 15:32:04 changed by kudo

  • keywords changed from OpenPNE2.12.15 to OpenPNE2.12.15 確認中.
  • description changed.

最新のAPIでは変数がG_MAP_TYPEではなくG_NORMAL_MAPに変更されていたことが原因でした。

で修正しました。確認お願いします。

(follow-up: ↓ 8 ) 10/14/09 18:57:06 changed by imamura623

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15 差し戻し.

動作テストしました。

  • 2.14xは問題無し
  • 2.12xでGoogleMap?下部に空白領域が表示される

2.12xの対応をお願いします。

(in reply to: ↑ 7 ) 10/16/09 14:52:56 changed by imamura623

Replying to imamura623:

* 2.12xでGoogleMap?下部に空白領域が表示される

この現象はIE系で発生します。

10/16/09 15:38:10 changed by imamura623

  • keywords changed from OpenPNE2.12.15 差し戻し to OpenPNE2.12.15 確認中.

「 'G_MAP_TYPE' は宣言されていません。」というエラーの修正は完了しましたので、確認中に回します。

GoogleMap?下部に空白領域が表示される問題については、#3920にて対応します。 Replying to imamura623:

* 2.14xは問題無し

とコメントしていますが、これは間違いで2.14.xでも空白が出ることを確認しました。

10/16/09 18:42:51 changed by shingo

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました